Loading...
Searching...
No Matches
Ogre::Volume::CSGUnionSource Class Reference
Optional Components » Volume

Builds the union between two sources. More...

`#include <OgreVolumeCSGSource.h>`

Inheritance diagram for Ogre::Volume::CSGUnionSource:
[legend]

## Public Member Functions

| CSGUnionSource (const Source *a, const Source *b)
| Constructor.
| CSGUnionSource (void)
| Constructor, sets the sources to null.
Real | getValue (const Vector3 &position) const override
| Overridden from Source.
Vector4 | getValueAndGradient (const Vector3 &position) const override
| Overridden from Source.
Public Member Functions inherited from Ogre::Volume::CSGOperationSource
virtual const Source * | getSourceA () const
| Gets the first operator source.
virtual const Source * | getSourceB (void) const
| Gets the second operator source.
virtual void | setSourceA (Source *a)
| Sets the first operator source.
virtual void | setSourceB (Source *b)
| Sets the second operator source.
Public Member Functions inherited from Ogre::Volume::Source
virtual | ~Source (void)
| Destructor.
bool | getFirstRayIntersection (const Ray &ray, Vector3 &result, Real scale=(Real) 1.0, size_t maxIterations=5000, Real maxDistance=(Real) 10000.0) const
| Gets the first intersection of a ray with the volume.
Real | getVolumeSpaceToWorldSpaceFactor (void) const
| Gets a factor to come from volume coordinate to world coordinate.
void | serialize (const Vector3 &from, const Vector3 &to, float voxelWidth, const String &file)
| Serializes a volume source to a discrete grid file with deflated compression.
void | serialize (const Vector3 &from, const Vector3 &to, float voxelWidth, Real maxClampedAbsoluteDensity, const String &file)
| Same as the other serialize function but with a user definable maximum absolute density value.

## Additional Inherited Members

Static Public Attributes inherited from Ogre::Volume::Source
static const size_t | SERIALIZATION_CHUNK_SIZE
| The amount of items being written as one chunk during serialization.
static const uint32 | VOLUME_CHUNK_ID
| The id of volume files.
static const uint16 | VOLUME_CHUNK_VERSION
| The version of volume files.

## Detailed Description

Builds the union between two sources.

## Constructor & Destructor Documentation

## CSGUnionSource() [1/2]

Ogre::Volume::CSGUnionSource::CSGUnionSource | ( | const Source * | a,
|  | const Source * | b )

Constructor.

Parameters

  a | The first operator.
  b | The second operator.

## CSGUnionSource() [2/2]

Ogre::Volume::CSGUnionSource::CSGUnionSource | ( | void |  | ) |

Constructor, sets the sources to null.

## Member Function Documentation

## getValueAndGradient()

Vector4 Ogre::Volume::CSGUnionSource::getValueAndGradient | ( | const Vector3 & | position | ) | const

override virtual

Overridden from Source.

Implements Ogre::Volume::Source.

## getValue()

Real Ogre::Volume::CSGUnionSource::getValue | ( | const Vector3 & | position | ) | const

override virtual

Overridden from Source.

Implements Ogre::Volume::Source.

The documentation for this class was generated from the following file:

- OgreVolumeCSGSource.h